perl モジュールのインストールについて


webアプリケーションの開発をしたく、
現在perlプログラミングの学習中です、使用環境は下記
macbookair os 10.7.4(Lion)
perlは最初からインストールされているもの(5.10と5.12)だと思う

GD::Graphモジュールを使いグラフのサンプルつくりたい。
標準モジュールでないらしく、CPANをつかってインストールしなければならないところまでわかりました。

ターミナルで# sudo cpan
いろいろでてきて、最後に
cpan[1]> install GD::Graph
を入力
いろいろコメントがでてきて、、、
省略
-----------
LDS/GD-2.46.tar.gz : writemakefile NO '/usr/bin/perl Makefile.PL' returned status 512
MVERB/GDTextUtil-0.86.tar.gz : make NO
BWARFIELD/GDGraph-1.44.tar.gz : make NO
-----------
で終了、

最後にmake NOとなっているのできちんとインストールできてるのか不明、
サンプルコード打ち込むが「Internal Server Error」
インストールできてない模様、
xcodoはインストールしていますが何が原因わからず

アドバイスいただけないでしょうか。

回答の条件
  • 1人5回まで
  • 13歳以上
  • 登録:2012/05/15 12:03:46
  • 終了:2012/05/22 12:05:03

ベストアンサー

id:TransFreeBSD No.2

TransFreeBSD回答回数665ベストアンサー獲得回数2672012/05/15 13:13:31

ポイント50pt

いろいろコメントがでてきて、、、
省略

の部分が重要です。

http://qanda.rakuten.ne.jp/qa6373180.html
たとえば上記だと最後で同じようにエラーになってますが直接のエラーメッセージはその上の

Couldn't find your C compiler
Compilation failed in require at Makefile.PL line 5.

です。「Cコンパイラが見つかりません」というエラーですね。

他にも
http://d.hatena.ne.jp/aprl/20081220#1229734002

Note (probably harmless): No library found for -lexpat
Expat must be installed prior to building XML::Parser and I can't find
it in the standard library directories. You can download expat from:
http://sourceforge.net/projects/expat/

「-lexpatのライブラリが見つからない。Expatは云々」

http://www.japanesetoday.com/99/%8B%E3%91%E5%8B%E3%98Y/2008/Cygwin/1214.txt/read.html

Can't exec "mysql_config": No such file or directory at Makefile.PL line 454.
Can't find mysql_config. Use --mysql_config option to specify where mysql_config is located

「"mysql_config"が実行できない:ファイルもディレクトリもない」

などなど。NoとかNotとか否定表現(だけとは限らないけれど)がありませんか?

他1件のコメントを見る
id:TransFreeBSD

偶然にも、ちょうどはてな記法で強調されてますね。

**UNRECOVERABLE ERROR**
Could not find gdlib-config in the search path. Please install libgd 2.0.28 or higher.

まさにCherenkovさん紹介の
GD::GraphのCPANからのインストールに向けて - how to code something

よく覚えてないけど
libgd-configが見つからない
libgd 2.0.28 or higherをダウンロードしろ
というエラーも出ている。

ですね(ダウンロードではなくインストールですが)

2012/05/15 15:28:43
id:nex-yk

誠に恥ずかしい質問ですが、上記の用に
--
まさにCherenkovさん紹介の
GD::GraphのCPANからのインストールに向けて - how to code something
--
から、はいって、
--
http://www.boutell.com/gd/http/gd-2.0.28.tar.gz
--
アクセスしますと、「gd-2.0.28.tar」がダウンロードされて、解凍すると
「gd-2.0.28」フォルダが、macのダウンロードフォルダにはいりましたが、
この「gd-2.0.28」フォルダmacのどこにおけばいいのでしょうか?
この「gd-2.0.28」フォルダで正解なのでしょうか。

2012/05/16 13:04:51

その他の回答(1件)

id:TransFreeBSD No.2

TransFreeBSD回答回数665ベストアンサー獲得回数2672012/05/15 13:13:31ここでベストアンサー

ポイント50pt

いろいろコメントがでてきて、、、
省略

の部分が重要です。

http://qanda.rakuten.ne.jp/qa6373180.html
たとえば上記だと最後で同じようにエラーになってますが直接のエラーメッセージはその上の

Couldn't find your C compiler
Compilation failed in require at Makefile.PL line 5.

です。「Cコンパイラが見つかりません」というエラーですね。

他にも
http://d.hatena.ne.jp/aprl/20081220#1229734002

Note (probably harmless): No library found for -lexpat
Expat must be installed prior to building XML::Parser and I can't find
it in the standard library directories. You can download expat from:
http://sourceforge.net/projects/expat/

「-lexpatのライブラリが見つからない。Expatは云々」

http://www.japanesetoday.com/99/%8B%E3%91%E5%8B%E3%98Y/2008/Cygwin/1214.txt/read.html

Can't exec "mysql_config": No such file or directory at Makefile.PL line 454.
Can't find mysql_config. Use --mysql_config option to specify where mysql_config is located

「"mysql_config"が実行できない:ファイルもディレクトリもない」

などなど。NoとかNotとか否定表現(だけとは限らないけれど)がありませんか?

他1件のコメントを見る
id:TransFreeBSD

偶然にも、ちょうどはてな記法で強調されてますね。

**UNRECOVERABLE ERROR**
Could not find gdlib-config in the search path. Please install libgd 2.0.28 or higher.

まさにCherenkovさん紹介の
GD::GraphのCPANからのインストールに向けて - how to code something

よく覚えてないけど
libgd-configが見つからない
libgd 2.0.28 or higherをダウンロードしろ
というエラーも出ている。

ですね(ダウンロードではなくインストールですが)

2012/05/15 15:28:43
id:nex-yk

誠に恥ずかしい質問ですが、上記の用に
--
まさにCherenkovさん紹介の
GD::GraphのCPANからのインストールに向けて - how to code something
--
から、はいって、
--
http://www.boutell.com/gd/http/gd-2.0.28.tar.gz
--
アクセスしますと、「gd-2.0.28.tar」がダウンロードされて、解凍すると
「gd-2.0.28」フォルダが、macのダウンロードフォルダにはいりましたが、
この「gd-2.0.28」フォルダmacのどこにおけばいいのでしょうか?
この「gd-2.0.28」フォルダで正解なのでしょうか。

2012/05/16 13:04:51
  • id:TransFreeBSD
    インストールには色々とターミナルで作業が必要だと思います。
    http://d.hatena.ne.jp/ALA-C/20070625/1183516495
    バージョンにより細かいところが違うかもしれません。
    さらに方法も色々です。fink、MacPorts、EasyPackageなどの仕組みを使う方法もあるようです。
    私はmacユーザーじゃないのでよくわかりません。どの方法を使うと良いのか詳しい人に聞いた方が良いかもしれません。
  • id:nex-yk
    何度もアドバイスありがとうございます。
    上記のサイトをのぞいてみましたが、なんのことやら、ちんぷんかんぷんです。
    結局ターミナルにたいしてある程度理解がないと先に進めないようです。
    perlのGDモジュールを使いたいだけなんですが、、
    がんばっていろんな人に聞いてみることにします。
    ありがとうございました。

この質問への反応(ブックマークコメント)

「あの人に答えてほしい」「この質問はあの人が答えられそう」というときに、回答リクエストを送ってみてましょう。

これ以上回答リクエストを送信することはできません。制限について

絞り込み :
はてなココの「ともだち」を表示します。
回答リクエストを送信したユーザーはいません